SYGRAPH
USE GEBEIDND.SYS

ORIGIN -10 0
SCALE 150 100
BEGIN
WRITE "CLUSTER DENDROGRAM FOR GENOTYPES"/,
 X=0,Y=57,HEIGHT=1.5,WIDTH=1.5
 WRITE "(LABELS ARE CLUSTER NUMBERS)"/,
 X=0,Y=54,HEIGHT=1.1,WIDTH=1.1


SELECT MODE=   1,DIR=1
PLOT Y1*X1 / VECTOR=X2,Y2,SIZE=0,LABEL=LAB$,
 AXES=0,SCALE=0,XMIN=         -1.,XMAX=         20.,YMIN=0.5,YMAX=         70.,
 XLABEL=" ",YLABEL=" "
 
SELECT MODE=   1,DIR=2
PLOT Y1*X1 / VECTOR=X2,Y2,SIZE=0, 
 AXES=1,SCALE=1,XMIN=         -1.,XMAX=         20.,YMIN=0.5,YMAX=         70.,
 XLABEL="FUSION LEVEL",YLABEL="GENOTYPE CLUSTERS"
END

ORIGIN -10 0
SCALE 150 100
BEGIN
WRITE "CLUSTER DENDROGRAM FOR ENVIRONMENTS"/,
 X=0,Y=57,HEIGHT=1.5,WIDTH=1.5
 WRITE "(LABELS ARE CLUSTER NUMBERS)"/,
 X=0,Y=54,HEIGHT=1.1,WIDTH=1.1


SELECT MODE=   2,DIR=1
PLOT Y1*X1 / VECTOR=X2,Y2,SIZE=0,LABEL=LAB$,
 AXES=0,SCALE=0,XMIN=        -0.2,XMAX=         2.7,YMIN=0.5,YMAX=         6.5,
 XLABEL=" ",YLABEL=" "
 
SELECT MODE=   2,DIR=2
PLOT Y1*X1 / VECTOR=X2,Y2,SIZE=0, 
 AXES=1,SCALE=1,XMIN=        -0.2,XMAX=         2.7,YMIN=0.5,YMAX=         6.5,
 XLABEL="FUSION LEVEL",YLABEL="ENVIRONMENT CLUSTERS"
END
SYGRAPH
USE GEBEIORD

BEGIN
SCALE 100 100
ORIGIN 0 0
WRITE "PCA ORDINATION SCORES FOR GENOTYPES"/,
     X=-12,Y=59,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE  : YLD         "/ X=20,Y=54,HEIGHT=1.2,WIDTH=1.2
WRITE "DATA FILE: PBTVT85M"/ X=20,Y=51,HEIGHT=1.2,WIDTH=1.2
WRITE "MODEL FIT: 67.1% OF GXE SS"/ X=20,Y=48,HEIGHT=1.2,WIDTH=1.2
WRITE "Plot labels are genotype codes"/ X=20,Y=45,HEIGHT=1.2,WIDTH=1.2
SELECT MODE=1
SCALE 50 50
ORIGIN -10 30
PLOT AX2*AX1 /LABEL=ITEM$       ,SIZE=2,
XMIN=        -2.2,XMAX=         1.0,YMIN=         -2.,YMAX=          2.
ORIGIN -10 0
PLOT AX3*AX1 /LABEL=ITEM$       ,SIZE=2,
XMIN=        -2.2,XMAX=         1.0,YMIN=        -1.7,YMAX=         2.2
ORIGIN 25 0
PLOT AX3*AX2 /LABEL=ITEM$       ,SIZE=2,
XMIN=         -2.,XMAX=          2.,YMIN=        -1.7,YMAX=         2.2
END
BEGIN
ORIGIN 0 0
SCALE 100 100
SELECT MODE=2
WRITE "PCA ORDINATION SCORES FOR ENVIRONMENTS"/,
 X=-10,Y=59,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE  : YLD         "/ X=20,Y=54,HEIGHT=1.2,WIDTH=1.2
WRITE "DATA FILE: PBTVT85M"/ X=20,Y=51,HEIGHT=1.2,WIDTH=1.2
WRITE "MODEL FIT: 67.1% OF GXE SS"/ X=20,Y=48,HEIGHT=1.2,WIDTH=1.2
WRITE "Plot labels are environment codes"/ X=20,Y=45,HEIGHT=1.2,WIDTH=1.2
SCALE 50 50
ORIGIN -10 30
PLOT AX2*AX1 /LABEL=ITEM$       ,SIZE=2,
XMIN=        -2.2,XMAX=         1.0,YMIN=         -2.,YMAX=          2.
ORIGIN -10 0
PLOT AX3*AX1 /LABEL=ITEM$       ,SIZE=2,
XMIN=        -2.2,XMAX=         1.0,YMIN=        -1.7,YMAX=         2.2
ORIGIN 25 0
PLOT AX3*AX2 /LABEL=ITEM$       ,SIZE=2,
XMIN=         -2.,XMAX=          2.,YMIN=        -1.7,YMAX=         2.2
END
ORIGIN 0 0
SCALE 100,100
BEGIN
WRITE "BIPLOT OF G & E MEANS WITH FIRST ORDINATION SCORES"/,
   X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "(VARIATE: YLD  DATA FILE: PBTVT85M MODEL FIT: 26.8% OF TABLE SS"/,
   X=-10,Y=58,HEIGHT=1.2,WIDTH=1.2
WRITE "PLOT LABELS ARE CLUSTER ANALYSIS GROUP NUMBERS)"/,
   X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 105,105
SELECT MODE=1
PLOT AX1*MEANS /LABEL=GROUP$,SYMBOL=3,
XMIN=       5700.,XMAX=       8200.,YMIN=        -2.2,YMAX=         1.0
SELECT MODE=2
PLOT AX1*MEANS /LABEL=GROUP$,SYMBOL=2,FILL,
XMIN=       5700.,XMAX=       8200.,YMIN=        -2.2,YMAX=         1.0
END
SCALE 100,100
BEGIN
WRITE "BIPLOT OF FIRST TWO ORDINATION SCORES"/,
       X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "(VARIATE: YLD  DATA FILE: PBTVT85M MODEL FIT: 50.2% OF GXE SS"/,
   X=-10,Y=58,HEIGHT=1.2,WIDTH=1.2
WRITE "PLOT LABELS ARE CLUSTER ANALYSIS GROUP NUMBERS)"/,
   X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 105 105
SELECT MODE=1
PLOT AX2*AX1 /LABEL=GROUP$,SYMBOL=3,
XMIN=        -2.2,XMAX=         1.0,YMIN=         -2.,YMAX=          2.
SELECT MODE=2
PLOT AX2*AX1 /VECTOR=0,0,LABEL=GROUP$,SIZE=0,
XMIN=        -2.2,XMAX=         1.0,YMIN=         -2.,YMAX=          2.
END

SYGRAPH
USE GEBEIRSP
   
BEGIN
SCALE 100 100
ORIGIN 0 0
WRITE "RESPONSE PLOTS FOR PAIRS OF GENOTYPE GROUPS"/,
      X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "AT EACH FUSION FROM THE  7 GROUP LEVEL             "/,
      X=-10,Y=58,HEIGHT=1.5,WIDTH=1.5
WRITE "(Response means computed from Location standardised data)"/,
      X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
WRITE "INDEX is rank order of group means of first axis scores"/,
      X=-10,Y=-6,HEIGHT=1.2,WIDTH=1.2

SCALE 50 50,
ORIGIN  -10  30,
PLOT GGP120,GGP110,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP120","GGP110"," 7-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "

SCALE 50 50,
ORIGIN   28  30,
PLOT GGP119,GGP117,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP119","GGP117"," 6-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "

SCALE 50 50,
ORIGIN  -10   0,
PLOT GGP123,GGP105,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP123","GGP105"," 5-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "

SCALE 50 50,
ORIGIN   28   0,
PLOT GGP124,GGP121,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP124","GGP121"," 4-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "
END
BEGIN
SCALE 100 100
ORIGIN 0 0
WRITE "RESPONSE PLOTS FOR PAIRS OF GENOTYPE GROUPS"/,
      X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "AT EACH FUSION FROM THE  7 GROUP LEVEL (CONTINUED) "/,
      X=-10,Y=58,HEIGHT=1.5,WIDTH=1.5
WRITE "(Response means computed from Location standardised data)"/,
      X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
WRITE "INDEX is rank order of group means of first axis scores"/,
      X=-10,Y=-6,HEIGHT=1.2,WIDTH=1.2

SCALE 50 50,
ORIGIN  -10  30,
PLOT GGP122,GGP116,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP122","GGP116"," 3-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "

SCALE 50 50,
ORIGIN   28  30,
PLOT GGP125,GGP126,ZERO*EINDEX /LINE=1,symbols=2,3,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     LLABEL="GGP125","GGP126"," 2-GROUP",
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL="GENOTYPE GROUP MEAN"
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2, XLABEL=" ",YLABEL=" "
END
BEGIN
SCALE 100 100
ORIGIN 0 0
WRITE "RESPONSE PLOTS FOR GENOTYPE GROUPS"/,
      X=0,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "AT THE  7 GROUP LEVEL             "/,
      X=0,Y=58,HEIGHT=1.5,WIDTH=1.5
WRITE "(Response means computed from Location standardised data)"/,
      X=0,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 100 20
ORIGIN 0 43
PLOT GGP105,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-2, LEGEND=100 100
SCALE 100 20
ORIGIN 0 33
PLOT GGP110,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-4, LEGEND=100 100
SCALE 100 20
ORIGIN 0 23
PLOT GGP116,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-2, LEGEND=100 100
SCALE 100 20
ORIGIN 0 13
PLOT GGP117,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-4, LEGEND=100 100
SCALE 100 20
ORIGIN 0  3
PLOT GGP119,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-2, LEGEND=100 100
SCALE 100 20
ORIGIN 0  3
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2,
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL=" ",SCALE=0
END
   
BEGIN
SCALE 100 100
ORIGIN 0 0
WRITE "RESPONSE PLOTS FOR GENOTYPE GROUPS"/,
      X=0,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "AT THE  7 GROUP LEVEL (CONTINUED) "/,
      X=0,Y=58,HEIGHT=1.5,WIDTH=1.5
WRITE "(Response means computed from Location standardised data)"/,
      X=0,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 100 20
ORIGIN 0 43
PLOT GGP120,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-2, LEGEND=100 100
SCALE 100 20
ORIGIN 0 33
PLOT GGP121,ZERO*EINDEX / LINE=1,SYMBOLS=2,0,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9,YMAX=         2.2,
     XLABEL= " ",SCALE=-4, LEGEND=100 100
SCALE 100 20
ORIGIN 0 33
PLOT EGROUP*EINDEX / SIZE=1,SYMBOL="|",LABEL=ELABEL$,
     XMIN=         0.8,XMAX=         5.2,YMIN=        -2.9, YMAX=         2.2,
     XLABEL="ENVIRONMENT GROUP INDEX",YLABEL=" ",SCALE=0
END
