SYGRAPH
USE PBGXEPLT.SYS
BEGIN
WRITE "AMMI3 INTERACTION SCORES FOR GENOTYPES"/,
     X=-12,Y=59,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE  : TDNS        "/ X=20,Y=54,HEIGHT=1.2,WIDTH=1.2
WRITE "DATA FILE: PBTVT85M"/ X=20,Y=51,HEIGHT=1.2,WIDTH=1.2
WRITE "MODEL FIT: 86.7% OF GXE SS"/ X=20,Y=48,HEIGHT=1.2,WIDTH=1.2
SELECT MODE=1
SCALE 50 50
ORIGIN -10 30
PLOT IPCA2*IPCA1 /LABEL=ITEM$,SIZE=2,
XMIN=        -13.,XMAX=          5.,YMIN=         -6.,YMAX=          7.
ORIGIN -10 0
PLOT IPCA3*IPCA1 /LABEL=ITEM$,SIZE=2,
XMIN=        -13.,XMAX=          5.,YMIN=         -8.,YMAX=          8.
ORIGIN 25 0
PLOT IPCA3*IPCA2 /LABEL=ITEM$,SIZE=2,
XMIN=         -6.,XMAX=          7.,YMIN=         -8.,YMAX=          8.
END
BEGIN
ORIGIN 0 0
SCALE 100 100
SELECT MODE=2
WRITE "AMMI3 INTERACTION SCORES FOR ENVIRONMENTS"/,
 X=-10,Y=59,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE  : TDNS        "/ X=20,Y=54,HEIGHT=1.2,WIDTH=1.2
WRITE "DATA FILE: PBTVT85M"/ X=20,Y=51,HEIGHT=1.2,WIDTH=1.2
WRITE "MODEL FIT: 86.7% OF GXE SS"/ X=20,Y=48,HEIGHT=1.2,WIDTH=1.2
SCALE 50 50
ORIGIN -10 30
PLOT IPCA2*IPCA1 /LABEL=ITEM$,SIZE=2,
XMIN=        -13.,XMAX=          5.,YMIN=         -6.,YMAX=          7.
ORIGIN -10 0
PLOT IPCA3*IPCA1 /LABEL=ITEM$,SIZE=2,
XMIN=        -13.,XMAX=          5.,YMIN=         -8.,YMAX=          8.
ORIGIN 25 0
PLOT IPCA3*IPCA2 /LABEL=ITEM$,SIZE=2,
XMIN=         -6.,XMAX=          7.,YMIN=         -8.,YMAX=          8.
END
ORIGIN 0 0
SCALE 100,100
BEGIN
WRITE "AMMI1 BIPLOT OF MAIN EFFECTS AND INTERACTIONS"/,
   X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE: TDNS  DATA FILE: PBTVT85M MODEL FIT: 79.0% OF TABLE SS"/,
   X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 105,105
SELECT MODE=1
PLOT IPCA1*MEANS /LABEL=ITEM$,SYMBOL=3,
XMIN=        720.,XMAX=        780.,YMIN=        -13.,YMAX=          5.
SELECT MODE=2
PLOT IPCA1*MEANS /LABEL=ITEM$,SYMBOL=2,FILL,
XMIN=        720.,XMAX=        780.,YMIN=        -13.,YMAX=          5.
END
SCALE 100,100
BEGIN
WRITE "INTERACTION BIPLOT FOR THE AMMI2 MODEL"/,
       X=-10,Y=60,HEIGHT=1.5,WIDTH=1.5
WRITE "VARIATE: TDNS  DATA FILE: PBTVT85M MODEL FIT: 70.4% OF GXE SS"/,
   X=-10,Y=56,HEIGHT=1.2,WIDTH=1.2
SCALE 105 105
SELECT MODE=1
PLOT IPCA2*IPCA1 /LABEL=ITEM$,SYMBOL=3,
XMIN=        -13.,XMAX=          5.,YMIN=         -6.,YMAX=          7.
SELECT MODE=2
PLOT IPCA2*IPCA1 /VECTOR=0,0,LABEL=ITEM$,SIZE=0,
XMIN=        -13.,XMAX=          5.,YMIN=         -6.,YMAX=          7.
END
